Subject: bug#31597: 27.0.50; Annoying ' to ’ translation

From: Tomas Nordin <[email-masked]>
Date: Fri, 25 May 2018 23:31:15 +0200

Helmut Eller <[email-masked]> writes:

> Executing this command:
>
>  emacs -Q -batch -eval "(error \"can't parse input\")"
>

I would guess that what is passed to emacs as a value to -eval after
this command is

(error "can't parse input")

> prints
>  can’t parse input

which then is expected?

On the other hand, if I have this variable in bash:

$ echo $message
(error "\"can't parse input\"")

and execute

$ emacs -Q -batch -eval "$message"

I get

"can’t parse input"

It's a fiddle but seems normal to me. Emacs 27.0.50 here.

Best regards
--
Tomas